<html>
<head>
<title>Ogre::Camera::Listener Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Camera.html">Camera</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Camera_1_1Listener.html">Listener</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::Camera::Listener Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::Camera::Listener" -->
<p><a class="el" href="classOgre_1_1Camera_1_1Listener.html" title="Listener interface so you can be notified of Camera events.">Listener</a> interface so you can be notified of <a class="el" href="classOgre_1_1Camera.html" title="A viewpoint from which the scene will be rendered.">Camera</a> events.  
 <a href="classOgre_1_1Camera_1_1Listener.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreCamera_8h_source.html">OgreCamera.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::Camera::Listener:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1Camera_1_1Listener__inherit__graph.gif" border="0" usemap="#Ogre_1_1Camera_1_1Listener_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1Camera_1_1Listener_inherit__map" id="Ogre_1_1Camera_1_1Listener_inherit__map">
<area shape="rect" id="node3" href="classOgre_1_1PageManager_1_1EventRouter.html" title="Ogre::PageManager::EventRouter" alt="" coords="5,83,224,112"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1Camera_1_1Listener-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Camera_1_1Listener.html#a1a6a6f01f51426220de617805ec9eb71">Listener</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Camera_1_1Listener.html#a7796c4d59af00e54c29d19ced8627ad0">~Listener</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Camera_1_1Listener.html#a118a99ab616bd2e1648c335afda174c9">cameraPreRenderScene</a> (<a class="el" href="classOgre_1_1Camera.html">Camera</a> *cam)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Called prior to the scene being rendered with this camera.  <a href="#a118a99ab616bd2e1648c335afda174c9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Camera_1_1Listener.html#a9359c80e745123e503311edbfc1d829a">cameraPostRenderScene</a> (<a class="el" href="classOgre_1_1Camera.html">Camera</a> *cam)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Called after the scene has been rendered with this camera.  <a href="#a9359c80e745123e503311edbfc1d829a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Camera_1_1Listener.html#a7195d8b8c12193eda52cc747262bd35b">cameraDestroyed</a> (<a class="el" href="classOgre_1_1Camera.html">Camera</a> *cam)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Called when the camera is being destroyed.  <a href="#a7195d8b8c12193eda52cc747262bd35b"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p><a class="el" href="classOgre_1_1Camera_1_1Listener.html" title="Listener interface so you can be notified of Camera events.">Listener</a> interface so you can be notified of <a class="el" href="classOgre_1_1Camera.html" title="A viewpoint from which the scene will be rendered.">Camera</a> events. </p>

<p>Definition at line <a class="el" href="OgreCamera_8h_source.html#l00090">90</a> of file <a class="el" href="OgreCamera_8h_source.html">OgreCamera.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a1a6a6f01f51426220de617805ec9eb71"></a><!-- doxytag: member="Ogre::Camera::Listener::Listener" ref="a1a6a6f01f51426220de617805ec9eb71" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Camera_1_1Listener.html#a1a6a6f01f51426220de617805ec9eb71">Ogre::Camera::Listener::Listener</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCamera_8h_source.html#l00093">93</a> of file <a class="el" href="OgreCamera_8h_source.html">OgreCamera.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7796c4d59af00e54c29d19ced8627ad0"></a><!-- doxytag: member="Ogre::Camera::Listener::~Listener" ref="a7796c4d59af00e54c29d19ced8627ad0" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1Camera_1_1Listener.html#a7796c4d59af00e54c29d19ced8627ad0">Ogre::Camera::Listener::~Listener</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCamera_8h_source.html#l00094">94</a> of file <a class="el" href="OgreCamera_8h_source.html">OgreCamera.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a7195d8b8c12193eda52cc747262bd35b"></a><!-- doxytag: member="Ogre::Camera::Listener::cameraDestroyed" ref="a7195d8b8c12193eda52cc747262bd35b" args="(Camera *cam)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Camera_1_1Listener.html#a7195d8b8c12193eda52cc747262bd35b">Ogre::Camera::Listener::cameraDestroyed</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Camera.html">Camera</a> *&#160;</td>
          <td class="paramname"><em>cam</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Called when the camera is being destroyed. </p>

<p>Reimplemented in <a class="el" href="classOgre_1_1PageManager_1_1EventRouter.html#a0b8a3b8a5dfad12e3abb4fa9e0cb47f1">Ogre::PageManager::EventRouter</a>.</p>

<p>Definition at line <a class="el" href="OgreCamera_8h_source.html#l00105">105</a> of file <a class="el" href="OgreCamera_8h_source.html">OgreCamera.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9359c80e745123e503311edbfc1d829a"></a><!-- doxytag: member="Ogre::Camera::Listener::cameraPostRenderScene" ref="a9359c80e745123e503311edbfc1d829a" args="(Camera *cam)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Camera_1_1Listener.html#a9359c80e745123e503311edbfc1d829a">Ogre::Camera::Listener::cameraPostRenderScene</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Camera.html">Camera</a> *&#160;</td>
          <td class="paramname"><em>cam</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Called after the scene has been rendered with this camera. </p>

<p>Definition at line <a class="el" href="OgreCamera_8h_source.html#l00101">101</a> of file <a class="el" href="OgreCamera_8h_source.html">OgreCamera.h</a>.</p>

</div>
</div>
<a class="anchor" id="a118a99ab616bd2e1648c335afda174c9"></a><!-- doxytag: member="Ogre::Camera::Listener::cameraPreRenderScene" ref="a118a99ab616bd2e1648c335afda174c9" args="(Camera *cam)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Camera_1_1Listener.html#a118a99ab616bd2e1648c335afda174c9">Ogre::Camera::Listener::cameraPreRenderScene</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Camera.html">Camera</a> *&#160;</td>
          <td class="paramname"><em>cam</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Called prior to the scene being rendered with this camera. </p>

<p>Reimplemented in <a class="el" href="classOgre_1_1PageManager_1_1EventRouter.html#a4bf9a554da6e38a6c5cb2e325c7a118f">Ogre::PageManager::EventRouter</a>.</p>

<p>Definition at line <a class="el" href="OgreCamera_8h_source.html#l00097">97</a> of file <a class="el" href="OgreCamera_8h_source.html">OgreCamera.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreCamera_8h_source.html">OgreCamera.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:55
</p>
</body>
</html>
